package com.schoolinout.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.schoolinout.system.domain.ParentStudent;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author sakura
 * @date 2024/1/10 10:10:50 Wed
 */
@Mapper
public interface ApiParentStudentRelationMapper extends BaseMapper<ParentStudent> {
    ParentStudent selectOnlyOne(@Param("parentId") Long parentId, @Param("studentId") Long studentId);

    int insertOrUpdate(ParentStudent parentStudent);
}
